## imcode.util.io
Interface InputStreamSource

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  EditFileDocumentPageFlow.FileItemInputStreamSource, EmptyInputStreamSource, ExceptionFreeInputStreamSource, FileInputStreamSource, InputStreamSourceWrapper

    public interface InputStreamSource

extends java.io.Serializable

Method Summary
`java.io.InputStream` `getInputStream()`
`long` `getSize()`

Method Detail

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSize

    long getSize()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`